<!DOCTYPE html>
<html lang="en">
<head>
    <script type="text/javascript"src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script type="text/javascript" src="http://code.jQuery.com/jQuery-1.7.2.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    
    <!-- Bootstrap -->
    <script type="text/javascript" src='https://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.8.3.min.js'></script>
    <script type="text/javascript" src='https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.0.3/js/bootstrap.min.js'></script>
    <link rel="stylesheet" href='https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.0.3/css/bootstrap.min.css' media="screen" />
    <!-- Bootstrap -->
    <link rel="stylesheet" href="task6.css">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script type="text/javascript" src='task6.js'></script>
    <title>Task-6</title>
</head>
<body>
    <div>

        <h4 style="color:black;">Table</h4>
        <button style="float: right;" id="btnShowPopup">open</button>
    </div>
    <div>
        <table class="myTable" id="ticketList">
        </table>
          <ul id="pagin">
    <li> <a href="#"  id="backward"><span class="glyphicon glyphicon-step-backward"></span></a></li>
    <li> <a href="#" onclick="forwardleft()"><span class="glyphicon glyphicon-chevron-left"></span></a></li>
    <li><a href="#">1</a></li>
    <li><a href="#">2</a></li>
    <li><a href="#">3</a></li>
    <li><a href="#">4</a></li>
    <li><a href="#">5</a></li>
    <li> <a href="#" onclick="forwardright()"><span class="glyphicon glyphicon-chevron-right"></span></a></li>
    <li> <a href="#" id="forward"><span class="glyphicon glyphicon-step-forward"></span></a></li>

</ul>
<label for="currentpage" id="currentpage" style="display: none;"></label>
    </div>
    <div></div>
    <!-- Modal Popup -->
    <div id="MyPopup" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        &times;
                    </button>
                    <h4 class="modal-title">Ticket Form </h4>
                </div>
                <div class="modal-body">
                   <form id="form">
<table>
    <tr>
        <td>
            <label for="contractnumber">Contract Number :</label>
            <input type="text" list="contractlist" id="myContract"> 
            <datalist id="contractlist"> 
            </datalist> 
            <span id="myContract_error" class="form_error"></span>

        </td>
    </tr>
    <tr>
        <!-- <td>
            <label for="contractnumber">Contract Number :</label>
            <select id='myContract'>
            </select>
            <span id="myContract_error" class="form_error"></span>
        </td> -->
        <td>
            <label for="labourid">Labour ID :</label>
            <select id='myLabour'>
            </select>
        </td>
      
    </tr>
    <tr>
        <td>
            <label for="tickettype">Ticket Type :</label>
            <select id='myTickettype'>
            </select>
            <span id="myTickettype_error" class="form_error"></span>
        </td>
        <td>
            <label for="department">Department :</label>
            <select id='myAssigntogroup'>
            </select>
            <span id="myAssigntogroup_error" class="form_error"></span>
        </td>
      
    </tr>
    <tr>
        <td>
            <label for="assignedto">Assigned To :</label>
            <select id='myAssignto'>
            </select>
        </td>
        <td>
            <label for="priority">Priority :</label>
            <select id='myPriority'>
            </select>
        </td>
      
    </tr>

    <tr>
        <td>
            <label for="category">Category :</label>
            <select id='myCategory'>
            </select>
            <span id="myCategory_error" class="form_error"></span>
        </td>
        <td>
            <label for="subcategory">Sub Category :</label>
            <select id='mySubCategory'>
            </select>
            <span id="mySubCategory_error" class="form_error"></span>
        </td>
    </tr>
    <tr>
        <td>
            <label for="ticketsubject">Ticket Subject :</label>
            <input type="text" name="ticketsubject" id="ticketsubject">
            <span id="ticketsubject_error" class="form_error"></span>
        </td>
    </tr>
    <tr>
        <td>
            <label for="description">Description :</label>
            <textarea name="description" id="description" cols="30" rows="5"></textarea>
            <span id="description_error" class="form_error"></span>
        </td>
    </tr>
    <tr>
        <td>
            <label for="uploadfile">You can upload a file :</label>
            <input type="file" name="uploadfile" id="uploadfile">
        </td>
    </tr>
    
</table>

                   </form>
                        <div class="modal-footer">
                            <input type="button" onclick="submit()" value="Save" class="btn btn-primary">

                            <!-- <button type="submit" onclick="ok()"  class="btn btn" data-dismiss="modal">
                    submit</button> -->
                        </div>
                       
                </div>
            </div>

        </div>
    </div>
</body>
</html>

